! This tests the SAYHELLO macro for the Option Trees Lab.
!
! Author:  Neon Ngo
! Version: $Id: test_sayhello.mm,v 1.1 2007/07/24 22:51:29 ntn Exp $
!
startmacro
  switch INTERACTIVE interAct GET DEF=TRUE  SDEF=TRUE
  switch BASELINE    baseline GET DEF=FALSE SDEF=TRUE

  if interAct then
    res inst "Verify the EXPECTED OUTPUT against the ACTUAL OUTPUT."

    pipe on
      panel/msgid=MAIN/setup/controls=gc
      gcontrol text idtext "Instructions" "^inst" 24 4 /title
      gcontrol menu main "Exit with Status = " "PASS,FAIL" /tleft
      set gc.main.itemColors {PASS=GREEN,FAIL=RED}

      shellgui/attach
      say ""
      say "EXPECTED OUTPUT:"
      say "INFO: Hello TONY! [SAYHELLO]"
      say ""
      say "ACTUAL OUTPUT:"
      say "nM> sayhello Tony"
      sayhello Tony
      say ""
      say ""
      say "EXPECTED OUTPUT:"
      say "INFO: Hello Bobby! [SAYHELLO]"
      say ""
      say "ACTUAL OUTPUT:"
      say "nM> sayhello "Bobby""
      sayhello "Bobby"
    pipe off
  endif
endmacro

procedure processMessage m:msg
  if msg.name eqs "MAIN" then
    assert/text="^reg.main.name: Tests for SAYHELLO" msg.data eqss "PASS"
    pipe stop
  else
    say "^reg.main.name: Unhandled message name: ^msg.name from fid: ^msg.fid data: ^msg.data"
  endif
return
